package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.PlantCarbonSink;

import java.util.List;

/**
 * 植物碳汇配置Service接口
 *
 * @author ruoyi
 * @date 2025-11-12
 */
public interface IPlantCarbonSinkService {
    /**
     * 查询植物碳配置
     *
     * @param id 植物碳汇维主键
     * @return 植物碳汇维
     */
    PlantCarbonSink selectById(Long id);

    /**
     * 查询植物碳汇配置列表
     *
     * @param param 植物碳汇配置
     * @return 植物碳汇配置集合
     */
    List<PlantCarbonSink> selectList(PlantCarbonSink param);

    /**
     * 查询区域植物种植配置
     * @param areaCode 区域编码
     * @return list
     */
    List<PlantCarbonSink> getAreaCfg(String areaCode);

    /**
     * 批量更新区域配置
     * @param areaCode 区域代码
     * @param list 区域配置列表
     */
    void mergeAreaCfg(String areaCode, List<PlantCarbonSink> list);

    /**
     * 新增植物碳汇配置
     *
     * @param param 植物碳汇配置
     * @return 结果
     */
    int insert(PlantCarbonSink param);

    /**
     * 修改植物碳汇配置
     *
     * @param param 植物碳汇配置
     * @return 结果
     */
    int update(PlantCarbonSink param);

    /**
     * 删除植物碳汇配置信息
     *
     * @param id 植物碳汇维主键
     * @return 结果
     */
    int deleteById(Long id);
}
